<?php

if (is_file($dir_loads . '/' . $name . '.gif')) {
    if (is_file(H . "sys/loads/screens/128/$size.$name.$ras")) {
        
    } elseif (function_exists('imagecreatefromgif')) {
        if (!isset($set['gif_select']) || $set['gif_select'] == '0') {
            $imgc = imagecreatefromgif($dir_loads . '/' . $file);
            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = "$set[scrin_ras1]"; // ширина
                $dstH = "$set[scrin_ras2]"; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = "$set[scrin_ras1]";
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = "$set[scrin_ras2]";
                $dstW = ceil($dstH / $prop);
            }

            $screen = imagecreatetruecolor($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);
            $screen = img_copyright($screen); // копирайт
            imagegif($screen, H . "sys/loads/screens/128/$size.$name.$ras");
            imagedestroy($screen);
        }
    }
} elseif (is_file($dir_loads . '/' . $name . '.jpeg')) {
    if (is_file(H . "sys/loads/screens/128/$size.$name.$ras")) {
        
    } elseif (function_exists('imagecreatefromjpeg')) {
        if (!isset($set['jpeg_select']) || $set['jpeg_select'] == '0') {
            $imgc = imagecreatefromjpeg($dir_loads . '/' . $file);
            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = "$set[scrin_ras1]"; // ширина
                $dstH = "$set[scrin_ras2]"; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = "$set[scrin_ras1]";
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = "$set[scrin_ras2]";
                $dstW = ceil($dstH / $prop);
            }

            $screen = imagecreatetruecolor($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);
            $screen = img_copyright($screen); // копирайт
            imagejpeg($screen, H . "sys/loads/screens/128/$size.$name.$ras", 90);
            imagedestroy($screen);
        }
    }
} elseif (is_file($dir_loads . '/' . $name . '.jpg')) {
    if (is_file(H . "sys/loads/screens/128/$size.$name.$ras")) {
        
    } elseif (function_exists('imagecreatefromjpeg')) {
        if (!isset($set['jpg_select']) || $set['jpg_select'] == '0') {
            $imgc = imagecreatefromjpeg($dir_loads . '/' . $file);
            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = "$set[scrin_ras1]"; // ширина
                $dstH = "$set[scrin_ras2]"; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = "$set[scrin_ras1]";
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = "$set[scrin_ras1]";
                $dstW = ceil($dstH / $prop);
            }

            $screen = imagecreatetruecolor($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);
            $screen = img_copyright($screen); // копирайт
            imagejpeg($screen, H . "sys/loads/screens/128/$size.$name.$ras", 90);
            imagedestroy($screen);
        }
    }
} elseif (is_file($dir_loads . '/' . $name . '.png')) {
    if (is_file(H . "sys/loads/screens/128/$size.$name.$ras")) {
        
    } elseif (function_exists('imagecreatefrompng')) {
        if (!isset($set['png_select']) || $set['png_select'] == '0') {
            $imgc = imagecreatefrompng($dir_loads . '/' . $file);
            $img_x = imagesx($imgc);
            $img_y = imagesy($imgc);
            if ($img_x == $img_y) {
                $dstW = $set['scrin_ras1']; // ширина
                $dstH = $set['scrin_ras2']; // высота 
            } elseif ($img_x > $img_y) {
                $prop = $img_x / $img_y;
                $dstW = "$set[scrin_ras1]";
                $dstH = ceil($dstW / $prop);
            } else {
                $prop = $img_y / $img_x;
                $dstH = "$set[scrin_ras2]";
                $dstW = ceil($dstH / $prop);
            }

            $screen = imagecreatetruecolor($dstW, $dstH);
            imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
            imagedestroy($imgc);
            $screen = img_copyright($screen); // копирайт
            imagepng($screen, H . "sys/loads/screens/128/$size.$name.$ras");
            imagedestroy($screen);
        }
    }
}

echo "<div class='list-group-item-null'>";
$i = 0;
$dirlist[0] = '';
if (isset($_GET['scr']) && $_GET['scr'] == '1') {
    if (is_file(H . "sys/loads/screens/128/$size.$name.$ras")) {
        if (function_exists('iconv')) {
            echo "<a href='/sys/loads/screens/128/" . iconv('windows-1251', 'utf-8', "$size.$name.$ras") . "' title='Открыть скрин'><img src='/sys/loads/screens/128/" . iconv('windows-1251', 'utf-8', "$size.$name.$ras") . "' alt='Скрин...' /></a><br />\n";
        } else {
            echo "<a href='/sys/loads/screens/128/$size.$name.$ras' title='Открыть скрин'><img src='/sys/loads/screens/128/$size.$name.$ras' alt='Скрин...' /></a><br />\n";
        }
    } elseif (is_file(H . "sys/loads/screens/128/$size.$name.gif")) {
        if (function_exists('iconv')) {
            echo "<a href='/sys/loads/screens/128/" . iconv('windows-1251', 'utf-8', "$size.$name.gif") . "' title='Открыть скрин'><img src='" . iconv('windows-1251', 'utf-8', "/sys/loads/screens/128/$size.$name.gif") . "' alt='scr...' /></a><br />\n";
        } else {
            echo "<a href='/sys/loads/screens/128/$size.$name.gif' title='Открыть скрин'><img src='/sys/loads/screens/128/$size.$name.gif' alt='scr...' /></a><br />\n";
        }
    } elseif (is_file($dir_loads . '/' . $file . '.1.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.1.GIF") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.1.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.1.JPG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.1.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.1.PNG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.1.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.1.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.1.JPEG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } else {
        echo "<b>" . lang('Нет скрина') . "</b><br />\n";
    }
    echo "<span class='tag tag-info'>" . lang('Скрины') . ":</span>\n";
    echo "<span class='tag tag-primary'> 1 </span>\n";
    if (is_file($dir_loads . '/' . $file . '.2.JPG')) {
        echo " <a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.JPEG')) {
        echo " <a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.GIF')) {
        echo " <a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.PNG')) {
        echo " <a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    }
    if (is_file($dir_loads . '/' . $file . '.3.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    }
}

if (isset($_GET['scr']) && $_GET['scr'] == '2') {
    if (is_file($dir_loads . '/' . $file . '.2.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.2.GIF") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.2.JPG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.2.PNG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.2.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.2.JPEG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } else {
        echo "<b>" . lang('Нет скрина') . "</b><br />\n";
    }
    echo "<span class='tag tag-info'>Скрины:</span>\n";
    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>1</span></a>\n";
    echo " <span class='tag tag-primary'>2</span> \n";
    if (is_file($dir_loads . '/' . $file . '.3.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=3&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>3</span></a>\n";
        echo "<br />\n";
    }
}

if (isset($_GET['scr']) && $_GET['scr'] == '3') {
    if (is_file($dir_loads . '/' . $file . '.3.GIF')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.GIF") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.3.GIF") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.JPG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.3.JPG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.PNG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.PNG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.3.PNG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } elseif (is_file($dir_loads . '/' . $file . '.3.JPEG')) {
        echo "<a href=\"/loads/down/" . url2("$l/$dirlist[$i]$file.3.JPEG") . "\" title='Оригинальный размер'><img src=\"resize.php?" . url("f=$l/$file.3.JPEG") . "&amp;w=$set[scrin_ras1]&amp;h=$set[scrin_ras2]\" width='$set[scrin_ras1]' alt=\"Скрин...\" /></a><br />\n";
    } else {
        echo "<b>" . lang('Нет скрина') . "</b><br />\n";
    }
    echo "<span class='tag tag-info'>Скрины:</span>\n";
    echo "<a href=\"?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>1</span></a>\n";
    if (is_file($dir_loads . '/' . $file . '.2.GIF')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.JPG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.PNG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    } elseif (is_file($dir_loads . '/' . $file . '.2.JPEG')) {
        echo "<a href=\"?" . url("d=$l&amp;scr=2&amp;f=$file&amp;page=$_SESSION[page]") . "\"><span class='tag tag-default'>2</span></a>\n";
    }
    echo " <span class='tag tag-primary'>3</span><br />\n";
}

echo "</div>";
